Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## taskspaces.rna
Class Matcher

    java.lang.Object
      |
      +--taskspaces.rna.Matcher

public class Matcher
extends java.lang.Object

Class Matcher contains methods to match Strings using the BM (Boyer-Moore) class and Java methods.

Version:
  1.00 29 August 2002
Author:
  Robert Markel

Constructor Summary
`Matcher()`

Method Summary
`static boolean` | `match(java.lang.String[] patterns, java.lang.String text, int[] indices)` Finds a given set of patterns in a given text at specified indices.
`static boolean` | `match(java.lang.String[] patterns, java.lang.String text, int[] indices, java.util.List constraints)` Finds a given set of patterns in a given text at specified indices meeting specified constraints.
`static boolean` | `match(java.lang.String pattern, java.lang.String text, int index)` Finds a patterns in a text at a specified index.
`static boolean` | `matchBM(java.lang.String[] patterns, java.lang.String text)` Finds a given set of patterns in a given text using a Boyer-Moore search.
`static boolean` | `matchBM(java.lang.String[] patterns, java.lang.String text, int[] indices)` Finds a given set of patterns in a given text at specific indices using a Boyer-Moore search.
`static boolean` | `matchBM(java.lang.String pattern, java.lang.String text)` Finds a given pattern in a given text using a Boyer-Moore search.
`static boolean` | `matchBM(java.lang.String pattern, java.lang.String text, int indx)` Finds a given pattern in a given text at a given index using a Boyer-Moore search.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### Matcher

    public Matcher()

Method Detail

### matchBM

    public static boolean matchBM(java.lang.String pattern,
                                  java.lang.String text)

  Finds a given pattern in a given text using a Boyer-Moore search.
  Parameters:
    `pattern` - the pattern to search for.
    `text` - the text to search.
  Returns:
    `true` if the pattern was found, otherwise `false`.

### matchBM

    public static boolean matchBM(java.lang.String pattern,
                                  java.lang.String text,
                                  int indx)

  Finds a given pattern in a given text at a given index using a Boyer-Moore search.
  Parameters:
    `pattern` - the pattern to search for.
    `text` - the text to search.
  Returns:
    `true` if the pattern was found at the specified index.

### matchBM

    public static boolean matchBM(java.lang.String[] patterns,
                                  java.lang.String text)

  Finds a given set of patterns in a given text using a Boyer-Moore search.
  Parameters:
    `pattern` - the pattern to search for.
    `text` - the text to search.
  Returns:
    `true` if all patterns were found, `false` otherwise.

### matchBM

    public static boolean matchBM(java.lang.String[] patterns,
                                  java.lang.String text,
                                  int[] indices)

  Finds a given set of patterns in a given text at specific indices using a Boyer-Moore search. This code assumes the patterns will match indices in the text in ascending order.
  Parameters:
    `pattern` - the pattern to search for.
    `text` - the text to search.
    `indices` - indices where matches should occur.
  Returns:
    `true` if all patterns were found, `false` otherwise.

### match

    public static boolean match(java.lang.String[] patterns,
                                java.lang.String text,
                                int[] indices,
                                java.util.List constraints)
                         throws java.lang.Exception

  Finds a given set of patterns in a given text at specified indices meeting specified constraints. This code assumes the patterns will match indices in ascending order.
  Parameters:
    `pattern` - the pattern to search for.
    `text` - the text to search.
    `indices` - indices where matches should occur.
    `constraints` - list of constraint integer arrays.
  Returns:
    `true` if all patterns were found, `false` otherwise.

### match

    public static boolean match(java.lang.String[] patterns,
                                java.lang.String text,
                                int[] indices)
                         throws java.lang.Exception

  Finds a given set of patterns in a given text at specified indices. This code assumes the patterns will match indices in ascending order.
  Parameters:
    `pattern` - the pattern to search for.
    `text` - the text to search.
    `indices` - indices where matches should occur.
  Returns:
    `true` if all patterns were found, `false` otherwise.

### match

    public static boolean match(java.lang.String pattern,
                                java.lang.String text,
                                int index)
                         throws java.lang.Exception

  Finds a patterns in a text at a specified index.
  Parameters:
    `pattern` - the pattern to search for.
    `text` - the text to search.
    `index` - index where match should occur.
  Returns:
    `true` if pattern was found, `false` otherwise.

Class | Use | Tree | Deprecated | Index | Help
| -bottom
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD